# $Id: e-smith-shared-folders.spec,v 1.0 2009/04/08 20:02:28 VIP-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: sme server shared folders module
%define name smeserver-shared-folders
Name: %{name}
%define version 0.1
%define release 0.beta3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-shared-folders-0.1-maxShareNameLength.patch
Patch1: smeserver-shared-folders-0.1-add_acl_in_fstab.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.13.15-76
Requires: perl(CGI::FormMagick)
Requires: e-smith-formmagick >= 1.4.0-12

Requires: acl
BuildRequires: perl
BuildRequires: e-smith-devtools >= 1.11.0-03


%description
This module allows you to create network shares (only samba is supported for now)
with more flexibility than ibay as it supports ACLs

%changelog
* Tue Apr 28 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta3]
- Add acl option in fstab via the template system
  (just like usrquota and grpquota)

* Thu Apr 16 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta2]
- Rename spec file

* Wed Apr 08 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta1]
- Rename maxIbayNameLength to maxShareNameLength

* Wed Apr 08 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta0]
- Initial release.

%prep
%setup

%patch0 -p1
%patch1 -p1

%pre
%post

%build
# Force creation of potentially empty directories
mkdir -p root/etc/e-smith/web/{common,functions}
mkdir -p root/etc/e-smith/web/panels/manager/{cgi-bin,common,html}
mkdir -p root/home/e-smith/files/shares

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
